%define module_name CPANPLUS-YACSmoke
%set_perl_req_method relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Extract.pm) perl(CPANPLUS.pm) perl(CPANPLUS/Dist/Build.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/ParseXS.pm) perl(File/Fetch.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IO/Scalar.pm) perl(IPC/Cmd.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(Module/CoreList.pm) perl(Module/Load/Conditional.pm) perl(Package/Constants.pm) perl(Params/Check.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Coverage/TrustPod.pm) perl(SDBM_File.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Reporter.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.08
Release: alt1
Summary: Yet Another CPANPLUS Smoke Tester
Group: Development/Perl
License: perl
URL: https://github.com/bingos/cpanplus-yacsmoke

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINGOS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
CPANPLUS::YACSmoke is an enhancement of the venerable the CPAN::YACSmoke manpage that uses the API backend of the CPANPLUS manpage
to run tests on CPAN modules and post results to the CPAN Testers list.

the CPANPLUS::Dist::YACSmoke manpage is loaded into the the CPANPLUS manpage configuration before any modules are tested.

It will create a database file in the .cpanplus directory, which it
uses to track tested distributions.  This information will be used to
keep from posting multiple reports for the same module, and to keep
from testing modules that use non-passing modules as prerequisites.

If `prereqs' have been tested previously and have resulted in a `pass' grade then the tests for those
`prereqs' will be skipped, speeding up smoke testing.

By default it uses the CPANPLUS manpage configuration settings.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README Changes.old LICENSE
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Wed May 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1
- updated by package builder

* Mon Feb 25 2019 Igor Vlasenko <viy@altlinux.ru> 1.06-alt1
- initial import by package builder

